@if (categoryId) {
  <div class="ion-page" *transloco="let t">
    <ion-header>
      <lib-custom-modal-header
        (closeClick)="close()"
        (backNavigationClick)="pop()"
        [title]="pageTitle"
        class="modal-header"
      ></lib-custom-modal-header>
    </ion-header>

    <ion-content class="content">
      <div class="content-wrapper flex-list-medium">
        <lib-notification-card
          *ngIf="
            (geolocationService.permissionState$ | async) ===
              simplifiedPermissionState.denied &&
            deviceService.isNativePlatform()
          "
          [title]="t('map.location_permission_card.title')"
          [titleColor]="'var(--Main-Foreground, #ffffff)'"
          [subTitle]="t('map.location_permission_card.content')"
          [subTitleColor]="'var(--Secondary-Foreground)'"
          [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
          [buttons]="permissionButton"
        ></lib-notification-card>

        <div class="flex-list-minor" *ngIf="!isLoading; else loadingSkeleton">
          <h1 class="title">{{ pageTitle }}</h1>
          <a *ngFor="let poiWithDistance of poiFeedItems">
            <app-poi-card
              [categories]="categories"
              [categoryName]="categoryName"
              [poiWithDistanceId]="poiWithDistance.id"
              [feedItem]="poiWithDistance"
            ></app-poi-card>
          </a>
        </div>

        <ng-template #loadingSkeleton>
          <div class="flex-list-minor">
            <div
              class="flex-row-text poi-list-container"
              *ngFor="let dummy of [].constructor(15)"
            >
              <ion-skeleton-text
                animated=""
                style="width: 80%; height: 25px"
              ></ion-skeleton-text>
              <ion-skeleton-text
                animated=""
                style="width: 60%; height: 15px"
              ></ion-skeleton-text>
            </div>
          </div>
        </ng-template>
      </div>
    </ion-content>
  </div>
} @else {
  <lib-condensed-header-layout
    *transloco="let t"
    [pageTitle]="t(pageTitle, pageTitleParams)"
    [useMaximumBackground]="true"
    class="ion-page"
  >
    <lib-refresher (ionRefresh)="doRefresh($event)"></lib-refresher>

    <div class="flex-list-medium content-spacing-medium-medium">
      <lib-notification-card
        *ngIf="
          (geolocationService.permissionState$ | async) ===
            simplifiedPermissionState.denied && deviceService.isNativePlatform()
        "
        [title]="t('map.location_permission_card.title')"
        [titleColor]="'var(--Main-Foreground, #ffffff)'"
        [subTitle]="t('map.location_permission_card.content')"
        [subTitleColor]="'var(--Secondary-Foreground)'"
        [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
        [buttons]="permissionButton"
      ></lib-notification-card>

      <div class="flex-list-minor" *ngIf="!isLoading; else loadingSkeleton">
        <a *ngFor="let poiWithDistance of poiFeedItems">
          <app-poi-card
            [routerLink]="['/map', poiWithDistance.id]"
            [feedItem]="poiWithDistance"
          ></app-poi-card>
        </a>
      </div>

      <ng-template #loadingSkeleton>
        <div class="flex-list-minor">
          <div
            class="flex-row-text poi-list-container"
            *ngFor="let dummy of [].constructor(15)"
          >
            <ion-skeleton-text
              animated=""
              style="width: 80%; height: 25px"
            ></ion-skeleton-text>
            <ion-skeleton-text
              animated=""
              style="width: 60%; height: 15px"
            ></ion-skeleton-text>
          </div>
        </div>
      </ng-template>
    </div>
  </lib-condensed-header-layout>
}
